toolzerhub API Docs

Find a stock, fund or index by name (v1)

Searches Google Finance the way its search box does and returns the matching stocks, ETFs, funds and indexes, best first, each with its symbol for /google-finance/quote, exchange, type, currency and current price. A name nothing matches returns an empty results.

1 credit / requestBilled only on success
GET
/v1/google-finance/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

query*string

Company or fund name, ticker, or part of either, as typed into Google Finance's search box: apple, reliance, s&p 500, vanguard 500.

Length1 <= length <= 100
language?string

Language of names, descriptions and news, such as en or de.

Match^[A-Za-z]{2,3}(?:[-_][A-Za-z]{2})?$
Default"en"
curl -X GET "https://example.com/v1/google-finance/search?query=apple" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "query": "string",    "results": [      {        "symbol": "string",        "name": "string",        "type": "string",        "currency": "string",        "price": 0,        "change": 0,        "change_percent": 0,        "exchange": "string"      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}